Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ce07bc9d-def5-4de5-84e1-95f659be2c3f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "a7f58381-54e8-42da-8073-e29b5a161887",
"company_code": "sample string 5",
"company": {
"id": "7e99cb73-f815-4d6e-94ae-9baa4e32aafb",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-19T13:06:49.38907+00:00",
"sales_territory_id": "7099a529-01b6-4cca-80d1-8fbb799e31d8",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "b0d2c7c5-cbc6-47df-9d1f-c239964cb940",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "4fa101e6-7611-47d8-8e97-2db1c663f24a",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "4afcdf4a-91e5-4b27-a338-11b2e0064630",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9277b54a-7c36-4b33-9ab9-09afe4c6abe9",
"db_currency_id": "bc1354ab-f49f-4353-a8b3-31de8b7726cb",
"db_language_id": "6bcdfe19-b955-4900-9c69-230c9a08b15a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T13:06:49.38907+00:00"
},
"modified_dateutc": "2026-11-19T13:06:49.38907+00:00"
},
"marketing_segment_id": "4d1b27b7-88fa-4fd2-9d0c-11f916d11e5a",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "c1f576fb-2110-4f6b-933a-81056f594cfa",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "31b00b0a-40f1-4a78-b36a-14e98b3b81cd",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "a4e38124-d62c-4b84-94cd-94cb9d1a1d3d",
"db_country_code": "sample string 28",
"feelist_id": "e4ba4b0b-a743-48c5-9fe3-68903cfb19e7",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "23f7e47b-0132-452d-b2f6-64b78ebc497b",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "96c07850-840b-4c19-aa56-3c14a95765e4",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-19T13:06:49.38907+00:00",
"db_currency_id": "1cc9c843-2180-49af-b47b-0985a943d63b",
"db_currency_code": "sample string 10"
},
"company_type_id": "9b164ce0-523d-4b09-b73a-a34f14fdea29",
"company_type_name": "sample string 32",
"company_type": {
"id": "fff5c86a-7ffe-42fa-8257-2adee79758e8",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "3746d67d-ba94-42d5-b1f2-6c262d0ca389",
"sales_organization_code": "sample string 5"
},
"db_language_id": "cf967a5f-78ac-409b-9e1b-29ad2e470905",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "435eb2ee-af73-4e68-8987-0454f9c28c16",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "d012ee78-be81-4474-a193-c83746778e1d",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "7e131aa3-496b-4b1e-8f3f-3889967afb1b",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-19T13:06:49.38907+00:00"
},
"company_sector_id": "bf1b065d-d8df-4009-ad19-bf925c3ad004",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "eafddbf0-fb59-4f0d-8100-f7a6a0dadfba",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "e0136871-fab6-4d9a-9e4d-4101d35c6392",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "2de859c5-68b6-423d-9353-451d79f825fb",
"account_manager_user_code": "sample string 56",
"company_status_id": "b49bf0df-7d41-401d-af58-db38db92e5fb",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-19T13:06:49.38907+00:00",
"id2": 60
},
"db_language_id": "48c45ff9-9b14-4bd2-92b6-ca927987d951",
"db_language_code": "sample string 7",
"db_title_id": "5977132a-09d0-4b3e-ba15-a1466b5bb76b",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-19T13:06:49.38907+00:00",
"create_date": "2026-11-19T13:06:49.38907+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-19T13:06:49.38907+00:00"
}